{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "item",
          "name": "barrel"
        }
      ],
      "rolls": 1
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:dirt",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:item_model": "minecraft:air",
                "minecraft:custom_data": {
                  "or_no_pickup": true,
                  "or_edited_item": true,
                  "or_no_edit": true,
                  "or_specialized_drop_type": "removes_container_marker",
                  "or_is_specialized_drop": true
                }
              }
            }
          ]
        }
      ],
      "conditions": [
        {
          "condition": "inverted",
          "term": {
            "condition": "match_tool",
            "predicate": {
              "predicates": {
                "minecraft:enchantments": [
                  {
                    "enchantments": "minecraft:silk_touch",
                    "levels": {
                      "min": 1
                    }
                  }
                ]
              }
            }
          }
        }
      ]
    }
  ],
  "random_sequence": "minecraft:blocks/barrel"
}